Loading...
Searching...
No Matches
casacore::MathFunc_global_functions_FUNCTYPE_enum Struct Reference
scimath package (libcasa_scimath) » Mathematics_module

Enum used to identify function type for MathFunc class. More...

`#include <MathFunc.h>`

## Public Types

enum | FUNCTYPE { UNARY , GAUSSIAN , KB , MOD_KB , SINC , SPHEROIDAL , EXP_SINC }

## Detailed Description

Enum used to identify function type for MathFunc class.

### Synopsis

Enum used to identify function type for MathFunc class

Caution: The following enum documentation is currently extracted by hand, and thus could be out of date if this documentation was not updated when the enum was modified;

The FUNCTYPE enum is:

enum FUNCTYPE { UNARY, GAUSSIAN, KB, MOD_KB, SINC, SPHEROIDAL, EXP_SINC };
casacore::MathFunc_global_functions_FUNCTYPE_enum::FUNCTYPE
FUNCTYPE
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::UNARY
@ UNARY
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::SINC
@ SINC
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::KB
@ KB
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::MOD_KB
@ MOD_KB
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::SPHEROIDAL
@ SPHEROIDAL
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::GAUSSIAN
@ GAUSSIAN
Definition MathFunc.h:112
casacore::MathFunc_global_functions_FUNCTYPE_enum::EXP_SINC
@ EXP_SINC
Definition MathFunc.h:112

Definition at line 111 of file MathFunc.h.

## Member Enumeration Documentation

## FUNCTYPE

enum casacore::MathFunc_global_functions_FUNCTYPE_enum::FUNCTYPE

Enumerator
UNARY |
GAUSSIAN |
KB |
MOD_KB |
SINC |
SPHEROIDAL |
EXP_SINC |

Definition at line 112 of file MathFunc.h.

The documentation for this struct was generated from the following file:

- scimath/Mathematics/MathFunc.h